:root{
    --blanco: #ffffff;
    --oscuro: #212121;
    --primario: #ffc107;
    --secundario: #0097a7;
    --darkblue: #00008B;
    --gris: #757575;

    --fuente-princiapl: 3.8rem;
}
html{
    font-size: 62.5%;
    box-sizing: border-box;
    scroll-snap-type: y mandatory;
}
*, *:before, *:after {
    box-sizing: inherit;
}
body{
    font-size: 16px; /* 1rem = 10px */
    font-family: 'Titillium Web', sans-serif;
    background-image: linear-gradient(to top, #DFE9F3 0%, var(--blanco) 50%); /*Degradado de fondo*/
}
h1 {
    font-size: 3.8rem;
}
h2 {
    font-size: 2.8rem;
}
h3 {
    font-size: 1.8rem;
}
h1,h2,h3 {
    text-align: center;
}
.titulo span{ 
    /* aplica el selector a todos los span contenidos en un h1,
       si fuera solo span, lo aplica a todos los span en el documento */
    font-size: 2rem;
    color: blue;
}
.contenedor {
    max-width: 120rem;
    margin: 0 auto;
}
.sombra {
    -webkit-box-shadow: 0px 3px 15px 0px rgba(122,118,122,0.6);
    -moz-box-shadow: 0px 3px 15px 0px rgba(122,118,122,0.6);
    box-shadow: 0px 3px 15px 0px rgba(122,118,122,0.6);
    background-color: var(--blanco);
    border-radius: 2rem;
    padding: 2rem;
}
.boton {
    background-color: var(--secundario);
    color: var(--blanco);
    padding: 1rem 3rem;
    margin-top: 1rem;
    font-size: 2rem;
    text-decoration: none;
    text-transform: uppercase;
    font-weight: bold;
    border-radius: .8rem;
    width: 50%;
    text-align: center;
    border: none;
}
.nav-bg {
    background-color: var(--secundario);
}
.navegacion-principal{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}
.navegacion-principal a{
    color: var(--blanco);
    text-decoration: none;
    size: 2rem;
    font-weight: bold;
    padding: 1rem;
}
.navegacion-principal a:hover{
    background-color: var(--primario);
    color: var(--oscuro);
}
.hero{
    position: relative;
}
.contenido-hero {
    background-image: url(../img/hero2.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    text-align: center;
    height: 40rem;
    padding: 2rem;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, .7); /** Anterior **/
    background-color: rgb(0 0 0 / 70%); /** Nueva **/
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    margin-bottom: 2rem;
}
/*CONTENIDO DEBAJO DE MENU*/
.contenido-hero h2,
.contenido-hero p {
    color: var(--blanco);
    text-shadow: 1px 1px 2px grey;
}
.ubicacion {
    display: flex;
    align-items: center;
}

/* media queries */
@media (min-width: 768px) {
    .navegacion-principal {
        flex-direction: row;
        align-items: center;
    }
    .boton {
        width: auto;
    }
}
.boton:hover {
    cursor: pointer;
}

@media (min-width: 480px) {
    .navegacion-principal {
        align-items: center;
    }
    .boton {
        width: auto;
    }
}

/** SERVICIOS **/
@media (min-width: 768px) {
    .servicios {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        /**grid-template-columns: 33.3% 33.3% 33.3%; otra forma **/
        /**grid-template-columns: 1fr 1fr 1fr; otra forma **/
        column-gap: 5rem;
    }
}
.servicios,
.navegacion-principal,
.formulario {
    scroll-snap-align: center;
    scroll-snap-stop: always;
}
.servicio {
    display: flex;
    flex-direction: column;
    align-items: center;
}
.servicio p {
    line-height: 2;
    text-align: center;
}
.servicio h3 {
    color: var(--secundario);
    font-weight: normal;
}
.servicio .iconos {
    height: 15rem;
    width: 15rem;
    background-color: var(--primario);
    border-radius: 50%;
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
    align-items: center;
}

/** contacto **/
.formulario {
    background-color: var(--gris);
    width: min( 60rem, 100% ); /** utilizar el valor mas pequeño **/
    margin: 0 auto;
    padding: 2rem;
    border-radius: 2rem;
}
.formulario fieldset {
    border: none;
}
.formulario legend {
    text-align: center;
    font-size: 1.8rem;
    text-transform: uppercase;
    font-weight: 700;
    margin-bottom: 2rem;
    color: var(--primario);
}
@media (min-width: 768px) {
    .contenedor-campos {
        display: grid;
        grid-template-columns: 50% 50%;
        grid-template-rows: auto auto 20rem;
        column-gap: 1rem;
    }
    .campo:nth-child(3),
    .campo:nth-child(4) {
        grid-column: 1 / 3;
    }
}
.campo {
    margin-bottom: 1rem;
}
.campo label {
    color: var(--blanco);
    font-weight: bold;
    margin-bottom: .5rem;
    display: block;
}
.input-text {
    width: 100%;
    border: none;
    padding: 1.5rem;
    border-radius: 1rem;
}
.campo textarea {
    height: 20rem;
}
.footer {
    text-align: center;
}